.new-view-subcategory {
    display: flex;
    gap: 24px;
    margin-top: 32px;
}

.new-view-subcategory-filter {
    max-width: 21%;
    width: 100%;
}

.new-view-subcategory-filter form {
    width: 100%;
    margin-top: 0;
}

.filter-title-part {
    display: flex;
    justify-content: space-between;
    background-color: #E5E7EA;
    border-width: 0.5px;
    border-bottom: 0px;
    border-style: solid;
    border-color: #D2D5DB;
    padding: 8px 12px;
}

.filter-title {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0;
    color: #414651;
    margin: 0;
}

.searching-filter-part {
    padding: 8px 12px;
    border-width: 0.5px;
    border-top: 0px;
    border-style: solid;
    border-color: #D2D5DB;
    gap: 16px;
    display: flex;
    flex-direction: column;
}

.subcategory-filter-form input {
    width: 100%;
    height: 32px;
    border-radius: 0;
    gap: 8px;
    font-size: 16px;
    padding: 6px 16px;
    background: #FFFFFF;
    border: 1px solid #9EA2AE;
}

.subcategory-columns {
    display: none;
}

.new-design-subcategory-select {
    position: relative;
    width: 100%;
    max-width: 100%;

}

.new-design-subcategory-selected-item {
    height: 32px;
    padding: 6px 16px;
    border: 1px solid #9EA2AE;
    background-color: white;
    cursor: pointer;
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #667085;
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 16px;
    background-image: url("../../images/frontend_images/subcategory-icons/chevron-down.svg");
}

.new-design-subcategory-options {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    max-height: 320px;
    overflow-y: auto;
    background-color: white;
    border: 1px solid #F7F7F7;
    z-index: 10;
    color: #101828;
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0;
    box-shadow: 0px 4px 6px -2px #0A0D1208;
    box-shadow: 0px 12px 16px -4px #0A0D1214;
}

.dropdown-options::-webkit-scrollbar {
    width: 8px;
}

.dropdown-options::-webkit-scrollbar-thumb {
    background-color: #E5E7EA;
    color: #E5E7EA;
    border-radius: 8px;
}

.new-design-subcategory-options div {
    padding: 10px 14px;
    cursor: pointer;
}

.new-design-subcategory-options div:hover {
    background-color: #F3F4F6;
}

.new-view-subcategory-filter .form-group-buttons {
    padding: 0;
    margin-top: 0;
}

.new-view-subcategory-filter button {
    width: 135.5px;
    height: 32px;
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    text-transform: capitalize;
}

.new-view-subcategory-filter .button-es {
    width: 50%;
}

.new-view-subcategory-table {
    width: 80%;
    height: auto;
}

.new-view-subcategory-table-full {
    overflow-x: auto;
    overflow-y: auto;
    max-height: 735px;
}

.new-view-subcategory-table-section {
    border-collapse: collapse;
    width: max-content;
    min-width: 100%;
}

.new-view-subcategory-table::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

.new-view-subcategory-table::-webkit-scrollbar-track {
    background: #EAECF2;
    border-radius: 4px;
    margin-left: 10px;
}

.new-view-subcategory-table::-webkit-scrollbar-thumb {
    background: #D0D5E4;
    border-radius: 4px;
}

.new-view-subcategory-table::-webkit-scrollbar-button {
    width: 0;
    height: 0;
}

.thead-table {
    width: 100%;
    height: 56px;
}

.thead-part {
    position: sticky;
    top: 0;
    z-index: 9;
}

.thead-table th {
    min-width: 126px !important;
    background: #E5E7EA;
    border-bottom: 1px solid #E5E7EA;
}

.th-content {
    display: flex;
    align-items: center;
    gap: 4px;
    text-transform: capitalize;
    padding: 16px;
}

.arrow-button-list {
    display: flex;
    flex-direction: column;
}

.actions-thead {
    width: 247px !important;
    padding: 0 16px;
    background-color: #E5E7EA;
}

.table-scroll {
    position: relative;
    overflow-x: auto;
    overflow-y: hidden;
}

.actions-thead,
.actions-tbody {
    position: sticky;
    right: 0;
    z-index: 8;
}

.actions-tbody {
    background: #fff;
    padding: 13.5px 8px;
    width: 247px;
    height: 56px;
}

.active-bg {
    background-color: #F3F3F3;
}

.active-bg span {
    font-weight: 500 !important;
    font-size: 16px !important;
}

.tooltip-wrapper {
    position: relative;
    cursor: pointer;
    display: inline-block;
}

.tooltip-wrapper .tooltip-content {
    visibility: hidden;
    position: absolute;
    top: 120%;
    left: 50%;
    transform: translateX(-50%);
}

.tooltip-wrapper .tooltip-content .tooltip-icon {
    display: block;
    margin: 0 auto;
}

.tooltip-wrapper .tooltip-content .tooltip-text {
    display: inline-block;
    width: auto;
    height: auto;
    background-color: #F3F4F6;
    color: #101828;
    border: 0.5px solid #9EA2AE;
    padding: 4px 8px;
    border-radius: 4px;
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 14px;
    line-height: 24px;
    letter-spacing: 0;
    z-index: 15;
}

.tooltip-wrapper:hover .tooltip-content {
    visibility: visible;
    opacity: 1;
    z-index: 11;
}

.tbody-form tr {
    line-height: 1.42857143;
    vertical-align: top;
    border-top: 1px solid #ddd;
}

.tbody-form tr td {
    cursor: pointer;
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0;
    padding: 15.5px 16px;
}

.actions-content {
    display: flex;
    gap: 32px;
}

.actions-content .quantity-wrapper {
    display: flex;
    align-items: center;
    gap: 0;
}

.actions-content .quantity-wrapper button {
    width: 28px;
    height: 28px;
    background: none;
    border: none;
    display: flex;
    align-items: center;
    border: none;
    background-color: #f3f3f3;
    touch-action: manipulation;
}

.actions-content .quantity-wrapper input {
    height: 28px;
    width: 37px;
    padding: 0;
    text-align: center;
    border: none;
    outline: none;
    border-radius: 0;
    box-shadow: none;
    background: transparent;
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 14px;
    line-height: 28px;
    letter-spacing: 0;
    vertical-align: middle;
    color: #0C1221;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: textfield;
}

.actions-content .quantity-wrapper input::-webkit-outer-spin-button,
.actions-content .quantity-wrapper input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.add-btn-subcategory {
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    border: none;
    letter-spacing: 0;
    width: 106px;
    height: 28px;
    gap: 8px;
    padding: 8px 14px;
    border-width: 1px;
    border: 1px solid  #ED1C24;
    background: #ED1C24;
    box-shadow: 0 1px 2px 0 rgba(10, 13, 18, 0.05);
    color: #FFFFFF;
    margin-bottom: 0;
}

.add-btn-subcategory span {
    font-family: 'Inter', sans-serif;
    font-weight: 600 !important;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #fff !important;
}

.add-btn-subcategory img {
    width: 18px;
    height: 18px;
}

.hidden-product-details {
    width: 258px;
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.hidenn-product-item {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding: 8px 25px;
    gap: 36px;
    z-index: 10;
}

.hidden-product-description {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 48px;
    padding: 8px 25px 8px 0;
}

.hidden-product-image {
    max-width: 109px;
    max-height: 103px;
}

.hidden-product-image img {
    width: 100%;
    height: 100%;
    cursor: default;
}

.hidden-product-title-part {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.hidden-product-title {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 24px;
    letter-spacing: 0;
    vertical-align: middle;
    color: #101828;
    cursor: default;
    margin-bottom: 0;
}

.avalibility-part {
    height: 80px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.hidden-product-brand {
    display: flex;
    gap: 16px;
}

.action-bar .hidden-product-brand {
    justify-content: space-between;
}

.hidden-product-brand span {
    display: inline-block;
    width: 64px;
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #535B62;
    cursor: default;
}

.hidden-product-brand a {
    color: #1570EF;
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-style: solid;
    text-decoration-thickness: 0;
}

.new-view-subcategory-list .hidden-product-brand a {
    text-decoration: none;
}

.t-black {
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: 0;
    color: #101828;
    cursor: default;
}

.hidden-product-view-details a {
    text-decoration: none;
    color: #D92D20;
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0%;
}

.hidden-product-view-details a:hover {
    text-decoration: none;
}

.hidden-product-availibility-part {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 8px 25px 8px 0;
}

.close-filter-bar {
    transition: transform 0.3s ease;
}

.close-filter-bar.rotated {
    transform: rotate(180deg);
}

.filter-title-part.border-bottom {
    border-bottom: 0.5px solid #D2D5DB;
}

.hidden-product-availibility-part .hidden-product-brand span {
    width: 180px;
}

.t-green {
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    vertical-align: middle;
    color: #027A48;
}

.download-step-file a {
    text-decoration: none;
}

.download-step-file a span {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    color: #D92D20;
}

.close-button-part {
    cursor: pointer;
    display: flex;
    justify-content: center;
    position: absolute;
    right: 15px;
    top: 16px;
    width: 24px;
    height: 19px;
    box-shadow: 0px 0.67px 1.33px 0px #0A0D120D;
}

.open-close-button-part.open-close-button-part {
    right: 130px;
}

.close-button-part img {
    width: 20px;
    height: 100%;
}

.new-view-subcategory-list .border-line-list {
    width: 0.5px;
    height: -webkit-fill-available;
    background-color: #D2D5DB;
    border: none;
    margin-right: 16px;
}

.product-list-description {
    width: 83%;
    height: 100%;
    padding: 0 16px 0 8px;
    display: flex;
}

.product-part {
    width: 60%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding-right: 8px;
}

.product-list-title {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0;
    vertical-align: middle;
    color: #101828;
    margin-bottom: 0;
}

.product-price-stock {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.action-bar {
    width: 38%;
}

.action-bar .avalibility-part {
    width: 100%;
    height: 90px;
    margin-top: 14px;
}

.category-main-page .avalibility-part {
    height: auto;
}

.action-bar .hidden-product-brand span {
    width: 154px;
}

.action-bar .hidden-product-brand .t-green {
    white-space: nowrap;
}

.description-text p {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #101828;
}

.list-view-product {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #D92D20;
}

.list-view-product-mobile {
    display: none;
}

.mobile-button-list {
    display: none !important;
}

.buttons-bar {
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 16px;
}

.buttons-bar .quantity-wrapper {
    display: flex;
}

.buttons-bar .quantity-wrapper button {
    width: 28px;
    height: 28px;
    border: none;
    display: flex;
    align-items: center;
    border: none;
    background-color: #f3f3f3;
    touch-action: manipulation;
}

.buttons-bar .quantity-wrapper input {
    height: 28px !important;
    width: 37px;
    padding: 0;
    text-align: center;
    border: none;
    outline: none;
    border-radius: 0;
    box-shadow: none;
    background: transparent;
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    vertical-align: middle;
    color: #0C1221;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: textfield;
}

.buttons-bar .quantity-wrapper input::-webkit-outer-spin-button,
.buttons-bar .quantity-wrapper input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.price-list {
    font-weight: 600;
    font-size: 18px;
    line-height: 28px;
}

.thead-names-list {
    display: flex;
}

.th-content {
    width: 126px;
    background: #E5E7EA;
    border-bottom: 1px solid #E5E7EA;
}

.th-content span {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #101828;
}

.arrow-button-list img {
    width: 8px;
    height: 8px;
    max-width: 8px;
    cursor: pointer;
}

.tbody-unique-section {
    display: flex;
    border-bottom: 1px solid #0000000F;
}

.tbody-unique-element {
    width: 126px;
    height: 56px;
    padding: 16px;
    cursor: pointer;
}

.tbody-unique-section span {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    letter-spacing: 0;
    color: #101828;
}

.hidden-product-view-details span {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #D92D20;
}

.download-step-file {
    width: 181px;
    height: 36px;
    gap: 8px;
    background: #FEF3F2;
    opacity: 1;
    padding-top: 8px;
    padding-right: 14px;
    padding-bottom: 8px;
    padding-left: 14px;
    border-width: 1px;
    box-shadow: 0px 1px 2px 0px #0A0D120D;
    border: 1px solid #FEF3F2;
    color: #D92D20;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mobile-view-details {
    display: none;
}

.mobile-view-details-category {
    display: none;
}

.mobile-view-details-category a {
    display: inline-block;
    width: 100%;
    text-align: end;
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #D92D20;
}

.mobile-view-details-category a:visited,
.mobile-view-details-category a:active,
.mobile-view-details-category a:hover {
    text-decoration: none;
    color: #D92D20;
}

.download-step-file-title-part {
    width: 217px;
    background-color: #FEF3F2;
    border: 1px solid #FEF3F2;
    display: flex;
    gap: 16px;
    padding: 8px 14px;
    box-shadow: 0px 1px 2px 0px #0A0D120D;

}

.download-step-file-title-part a {
    text-decoration: none;
}

.download-step-file-title-part a:visited,
.download-step-file-title-part a:hover,
.download-step-file-title-part a:active,
.download-step-file-title-part a:focus {
    text-decoration: none;

}

.download-step-file-title {
    display: flex;
    gap: 4px;
}

.choose-item-part {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.download-step-file-title span,
.download-step-file-title-part a span {
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    text-align: center;
    vertical-align: middle;
    color: #D92D20;
}

.dropdown-menu-files {
    background: #fff;
    border: 1px solid #E5E7EA;
    box-shadow: 0px 32px 64px -12px #0A0D1224;
    width: 217px;
    position: absolute;
    top: 91%;
    left: 0;
    margin-top: 5px;
    list-style: none;
    border-radius: 0;
    padding: 0;
    z-index: 55;
}

.dropdown-menu-files li {
    padding: 5px 16px;
}

.dropdown-menu-files li:not(:last-child) {
    border-bottom: 0.5px solid #9EA2AE;
}

.dropdown-menu-files li a {
    text-decoration: none;
    color: #000000;
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
}

.dropdown-menu li a:hover {
    color: #007bff;
}

.mobile-product-title {
    display: none;
}

.text-mobile {
    display: none;
}
.view-details-download-file-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
}
.view-details-download-file-section .download-step-file-title-part{
    width: auto;
    display: flex;
    height: 36px;
    padding: 8px;
    justify-content: center;
    align-items: center;
    gap: 4px;
}
.mobile-old-view.download-step-file-title-part{
    display: none;
}
@media screen and (max-width: 768px) {
    .new-view-subcategory {
        flex-direction: column;
        gap: 0;
        margin-top: 24px;
    }

    .new-view-subcategory-table {
        margin-top: 24px;
    }

    .filter-title-part {
        justify-content: center;
        gap: 8px;
        border: 0;
    }

    .searching-filter-part {
        display: none;
        background-color: #fff;
    }

    .close-filter-bar {
        transform: rotate(180deg);
        transition: transform 0.3s;
    }

    .close-filter-bar.rotated {
        transform: rotate(0);
    }

    .new-view-subcategory-filter {
        max-width: 100%;
    }

    .new-view-subcategory-table-full {
        margin-top: 0px;
        width: 100%;
        max-height: 100%;
        height: auto;
        overflow-x: clip !important;
        overflow-y: visible !important;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

    .product-list-description {
        width: 100%;
        height: auto;
        border: 0;
        flex-direction: column;
    }

    .product-part {
        width: 100%;
        border-right: 0;
        padding-right: 0;
    }

    .action-bar {
        margin-left: 0;
        width: 100%;
    }

    .hidden-product-brand {
        justify-content: space-between;
    }

    .buttons-bar {
        flex-direction: row;
        justify-content: end;
        gap: 8px;
    }

    .new-view-subcategory-table-section {
        width: 100%;
    }

    .thead-part {
        display: none;
    }

    .tbody-unique-section {
        border-bottom: 0;
    }

    .tbody-unique-element {
        display: none;
    }

    .actions-tbody {
        display: none;
    }

    .new-view-subcategory-filter button {
        width: 50%;
    }

    .buttons-bar .quantity-wrapper input {
        text-align: center;
    }

    .mobile-view-details {
        display: block;
        margin-top: 16px;
        margin-bottom: 24px;
    }

    .mobile-view-details-category {
        display: block;
        margin-top: 0;
        margin-bottom: 0;
    }

    .mobile-product-title {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border: 1px solid #E5E7EA;
        background: #F3F3F3;
        padding: 4px 8px;
    }

    .mobile-product-title .hidden-product-title {
        display: inline-block;
        width: 100%;
        font-family: 'Inter', sans-serif;
        font-weight: 500;
        font-size: 14px;
        line-height: 20px;
        letter-spacing: 0;
        vertical-align: middle;
        color: #101828;
    }

    .hidenn-product-item {
        display: none;
        flex-direction: column;
        z-index: auto;
        gap: 0px;
        padding: 16px 8px;
    }

    .hidden-product-description {
        flex-direction: column;
        gap: 8px;
        padding: 0;
    }

    .hidden-product-image {
        max-width: 100%;
        max-height: 100%;
        display: flex;
        justify-content: center;
    }

    .hidden-product-image img {
        width: 45%;
    }

    .hidden-product-details {
        width: 100%;
    }

    .hidden-product-title-part {
        margin-bottom: 8px;
    }

    .text-mobile {
        display: block;
    }

    .close-button-part {
        width: 24px;
        height: 24px;
        right: 5px;
        box-shadow: none;
    }

    .hidden-product-availibility-part {
        padding: 0;
        gap: 0;
    }

    .avalibility-part {
        height: auto;
        flex-direction: column-reverse;
    }

    .mobile-button-list {
        display: flex !important;
    }
    .subcategory-page-description.expanded {
        max-height: 2000px !important; 
    }
    .view-details-download-file-section .download-step-file-title-part{
        display: none;
    }
    .mobile-old-view.download-step-file-title-part{
        display: flex;
        margin-bottom: 0;
    }
}